/* css\styles.css */
@import '/css/global.css';
@import '/css/fonts.css';
@import '/css/header.css';
@import '/css/footer.css';

/* ===== HERO SECTION ============================================= */
.main__hero {
    display: flex;
    align-items: center;
    justify-content: space-between;

    width: 100%;
    height: var(--height-section);
    min-height: 600px;
    padding: var(--padding-section);

    position: relative;
}

.hero__info h1 {
    font-size: 60px;
    line-height: 70px;
    font-weight: 700;

    max-width: 600px;
    margin-top: 40px;
    margin-bottom: 30px;
}

.hero__info p {
    font-size: 20px;
    line-height: 25px;

    max-width: 550px;
    margin-bottom: 40px;
}

/* ===== INFO SECTION ============================================= */
.main__info {
    display: flex;
    flex-direction: column;
    justify-self: center;
    align-items: center;
    justify-content: center;

    width: 100%;
    height: var(--height-section);
    padding: var(--padding-section);
}

.main__info--margin-bottom {
    margin-bottom: 100px;
}

.info__photo-mobile {
    display: none;

    overflow: hidden;

    width: 100%;
    height: 100%;
    border-radius: var(--border-radius);
    transition: var(--transition);

    position: relative;
}

.info__photo-mobile>picture {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
}

.info__photo-mobile>picture img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: 50% 50%;
    border-radius: var(--border-radius);
}

.info__cards {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    justify-items: center;
    align-items: center;
    gap: 50px;

    max-height: 600px;
}

.info__list {
    display: flex;
    flex-direction: column;

    width: 100%;
    height: 100%;
}

.info__list-item {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;

    padding: var(--padding-item);
    background-color: transparent;
    border-radius: 20px;
    transition: 0.3s;
    box-sizing: border-box;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    transition: var(--transition);
}

.info__list-item:hover {
    background-color: var(--bg-color);
}

.info__list-title {
    display: flex;
    align-items: center;
    justify-content: start;

    margin-top: 0;
    z-index: 2;
}

.info__list-text {
    font-size: 17px;
    line-height: 20px;

    max-width: 100%;
    border-radius: 5px;
    z-index: 1;
}

.info__photo {
    overflow: hidden;

    width: 100%;
    height: 100%;
    max-height: 600px;
    border-radius: var(--border-radius);
    transition: var(--transition);

    position: relative;
}

.info__photo:hover {
    box-shadow: 0 0 15px var(--accent-color);
}

.info__photo>picture {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
}

.info__photo>picture img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: 50% 50%;
    border-radius: var(--border-radius);
}

.info__button {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 1.5%;

    background-color: var(--accent-color);
}

/* ===== MY PROJECTS ============================================= */
.main__my-projects {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    width: 100%;
    height: var(--height-section);
    padding: 0 3vw;
}

.my-projects__list {
    display: grid;
    grid-template: repeat(1, 1fr)/repeat(3, 1fr);
    gap: var(--gap);
}

.my-projects__list-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--gap);

    padding: var(--padding-item);
    width: 100%;
    height: 100%;
    border-radius: var(--border-radius);
    transition: var(--transition);
}

.my-projects__list-item:hover {
    background-color: var(--bg-color);
}

.my-projects__video {
    width: 100%;
    aspect-ratio: 16 / 9;
    border-radius: var(--border-radius);

    position: relative;
}

.my-projects__video video {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;

    width: 100%;
    height: 100%;
    border-radius: var(--border-radius);
    object-fit: cover;
    object-position: 50% 50%;
}

.my-projects__info {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;

    width: 100%;
    height: 100%;
}


.my-projects__info-text {
    width: 100%;
    height: 100%;
}

.my-projects__button {
    width: 30%;
}
/* ===== SKILLS GRID SECTION ======================================== */
.main__skills {
    display: flex;
    flex-direction: column;
    align-items: center;

    width: 100%;
    height: var(--height-section);
    padding: var(--padding-section);
    margin-top: 10vh;
}

.skills__box {
    display: grid;
    grid-template: repeat(1, 1fr)/repeat(3, 1fr);
    gap: var(--gap);
}

.skill__item {
    padding: 10px 2px;
    border-radius: var(--border-radius);
    transition: var(--transition);
}

.skill__item:hover {
    background-color: var(--bg-color);
}

.skill__title {
    text-align: center;
}

.skills__list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    align-items: center;
    justify-content: center;
    justify-items: center;
    justify-self: center;

    width: fit-content;
    height: fit-content;
}


.skills__list-item {
    display: flex;
    align-items: center;
    justify-content: center;

    width: 80px;
    height: 80px;
}

.skills__list-item:hover img {
    scale: 1.1;
}

.skills__list-item img {
    width: 55px;
    height: 55px;
    transition: var(--transition);
}
/* ===== CONTACT SECTION ======================================== */
.main__contact {
    display: flex;
    flex-direction: column;
    align-items: center;

    width: 100%;
    height: 90vh;
    padding: var(--padding-section);
}

.contact__box {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 50px;

    width: 100%;
}

.contact__box-title {
    max-width: 100%;
}

.contact__box-form {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    justify-items: center;
    gap: var(--gap);

    width: 100%;
}

.box__form-wrapper {
    width: 100%;
    height: 100%;
    padding: 0 50px;
}

.box__form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;

    width: 100%;
    height: 100%;
    padding: 20px;
    border-radius: var(--border-radius);
    background-color: var(--bg-color);
    transition: var(--transition);
    backdrop-filter: blur(5px);
}

.box__form:hover {
    box-shadow: 0 0 10px 6px var(--accent-color);
}

.box__form label {
    display: flex;
    flex-direction: column;
}

.box__form input {
    height: 35px;
    border-radius: 2px;
    padding-left: 5px;
}

.box__form textarea {
    border-radius: 2px;
    padding: 5px 0 0 5px;
}

.box__form-button {
    align-self: center;

    margin-top: 10px;
    width: 50%;
}

.box__social-list {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.box__social-link {
    display: flex;
    align-items: center;
    gap: 5px;

    width: fit-content;
    transition: var(--transition);

    position: relative;
}

.box__social-link ion-icon {
    height: 22px;
    width: 22px;
}

.box__social-link::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;

    width: 100%;
    height: 2px;
    background: linear-gradient(to right, #fafafa00, var(--accent-color), #fafafa00);
    border-radius: var(--border-radius);
    transition: var(--transition);

    opacity: 0;
}

.box__social-link:hover::after {
    opacity: 1;
}
/* ========================================================================== */
/* ================================RESPONSIVE================================ */
/* ========================================================================== */
@media (max-width:1250px) {
    :root {
        --padding-section: 0 5vw;
        --height-section: unset;
    }

    .title {
        margin-bottom: 70px;
    }

    /* ---------------------------- */
    .info__cards {
        gap: 20px;
    }

    /* ----------------------------- */
    .my-projects__list {
        grid-template-columns: repeat(2, 1fr);
        justify-items: center;
        gap: 30px 0;
    }

    .my-projects__list-item:nth-child(3) {
        grid-column-start: 1;
        grid-column-end: 3;

        max-width: 421px;
    }

    .my-projects__info-text {
        overflow: hidden;
        display: -webkit-box;

        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
        transition: var(--transition);
        cursor: pointer;
    }

    /* ----------------------------- */
    .main__hero,
    .main__info,
    .main__my-projects,
    .main__skills,
    .main__contact {
        margin-top: 150px;
    }
}

@media (max-width:1100px) {
    .site-settings {
        bottom: 60px;
    }
}

@media (max-width:1000px) {
    spline-viewer {
        display: none;
    }

    .wrapper::before {
        background-image: url('/images/background/background_mobile_webp.webp');
    }

    /* -------------------------- */
    .nav__list,
    .header__socials,
    .header__lang {
        display: none;
    }

    .menu-icon {
        display: flex;
    }

    /* -------------------------- */
    .main__info {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 10px;
    }

    .info__photo-mobile {
        display: block;

        height: 350px;
    }

    .info__photo {
        display: none;
    }

    .info__cards {
        display: unset;
        grid-column-start: 1;
        grid-column-end: 3;
    }
}

@media (max-width:950px) {
    .main__info {
        height: unset;
    }

    .info__cards {
        gap: 5px;
    }

    .info__list-item {
        padding: 0;
    }
}

@media (max-width:900px) {
    .skills__list-item {
        width: 60px;
    }
}

@media (max-width:800px) {
    .main__contact {
        margin-bottom: 100px;
    }

    /* --------------------- */
    .my-projects__list {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .skills__box {
        display: flex;
        flex-direction: column;
        gap: 20px;
    }

    .my-projects__list-item {
        max-width: 400px;
    }

    .skills__list {
        order: 3;
        grid-column-start: 1;
        grid-column-end: 3;
        grid-row-start: 2;
        grid-row-end: 4;


        display: flex;
        flex-wrap: wrap;
    }

    /* ----------------------- */
    .main__contact {
        padding: 0 100px;
    }

    .contact__box-title {
        font-size: 22px;
        line-height: 1.2;
    }

    .box__form-wrapper {
        display: flex;
        justify-content: center;
        padding: 0;
    }

    .contact__box-form {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 20px;
    }

    .box__social-link {
        width: max-content;
    }
}

@media (max-width:650px) {
    /* ---------------------- */
    .hero__info h1 {
        font-size: 45px;
        line-height: 50px;
        hyphens: auto;
        overflow-wrap: break-word;
    }
    /* ---------------------- */
    .info__photo-mobile {
        max-width: 260px;
        max-height: 260px;
    }

    .info__photo-mobile>picture img {
        object-position: 50% 20%;
        scale: 2;
    }

    .info__title {
        margin-bottom: 70px;
    }

    .info__button {
        bottom: 0;
        width: max-content;
        padding: 1.5px 7px;
    }

    /* ---------------------- */
    .main__contact {
        padding: 0 50px;
    }
}

@media (max-width:600px) {
    .button {
        width: 100%;
        padding: 10px 0;
    }

    /* ---------------------- */
    .footer__inner {
        flex-direction: column;
        gap: 10px;

        padding: 10px 0;
    }

    .footer__text {
        order: 2;
    }
}

@media (max-width:450px) {
    .site-settings {
        left: 15px;
        bottom: 35px;
    }

    .cookie__modal {
        left: 16px;
        right: 16px;
        bottom: 90px;
        width: auto;
        max-width: none;
    }

    .cookie {
        bottom: 24px;
        right: 24px;

        width: 40px;
        height: 40px;
    }

    .cookie svg {
        width: 40px;
        height: 40px;
    }

    .main__hero {
        margin-top: 0;
    }

    /* ---------------------- */
    .main__info {
        display: flex;
        flex-direction: column;
    }

    h3 {
        font-size: 25px;
    }

    .info__photo-mobile {
        min-height: 250px;
        max-width: 90%;
        margin-bottom: 20px;
    }

    .info__photo-mobile>picture img {
        object-position: 50% 20%;
        scale: 1.2;
    }

    .info__list {
        gap: 30px;
    }

    .info__list-item {
        gap: 5px;
    }

    .info__list-title {
        display: flex;
        gap: 5px;
        font-size: 25px;
    }

    .info__list-text {
        font-size: 15px;
    }

    /* ------------------------ */
    .title {
        text-align: center;
    }

    /* ------------------------ */
    .main__contact {
        padding: 0 15px;
        margin-bottom: 170px;
    }
}

@media (max-width:400px) {
    .my-projects__title {
        margin: 140px 0 20px;
    }

    /* --------------------- */
    .main__contact {
        padding: 0 15px;
    }

    .box__social-list {
        align-items: center;
    }
    /* --------------------- */
    .socials__inner {
        gap: 22px;
    }

    .footer__text {
        display: flex;
        flex-direction: column;
        align-items: center;
        font-size: 15px;
    }

    .footer__text p:nth-child(2),
    .footer__text p:nth-child(4) {
        display: none;
    }
}

@media (max-width:400px) {
    .main__contact {
        margin-bottom: 350px;
    }
}